メインコンテンツへスキップ
GET
/
api
/
v1
/
organizations
/
{organizationId}
/
alerts
List organization alerts
curl --request GET \
  --url https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/alerts \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/alerts"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/alerts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "meta": {
    "nextCursor": "F3UdkoSbpBNrjwP93AX2HQ"
  },
  "items": [
    {
      "id": 1,
      "type": "retired_account",
      "level": "warning",
      "muted": true,
      "service": {
        "id": 1,
        "name": "Slack",
        "uniqueName": "slack"
      },
      "workspace": {
        "id": 1,
        "workspaceName": "workspace-name"
      },
      "user": {
        "peopleAccountId": "157#user@example.com",
        "accountKey": "user@example.com",
        "displayName": "John Doe",
        "primaryEmail": "user@example.com"
      },
      "fileId": "file-id-123",
      "lastCheckedAt": "2024-01-01T00:00:00.000Z",
      "muteUntil": "2024-01-01T00:00:00.000Z",
      "createdAt": "2024-01-01T00:00:00.000Z",
      "updatedAt": "2024-01-01T00:00:00.000Z"
    }
  ]
}

承認

Authorization
string
header
必須

For authenticated requests, set the Authorization: Bearer your_api_key parameter in the header.
You can create and manage your API Keys by visiting the API Keys tab in the Settings page of your organization in Admina

パスパラメータ

organizationId
number
必須

クエリパラメータ

serviceId
number

Filter by service ID

:

1

serviceName
string

Filter by service name

:

"Slack"

workspaceId
number

Filter by workspace ID

:

1

userIdentifier
string

Filter by user identifier. Searches across alert targetId, account key, and primary email. Can accept various formats: peopleAccountId (e.g. '97#user@example.com'), email, or full targetId.

:

"user@example.com"

type
enum<string>

Filter by alert type

利用可能なオプション:
retired_account,
inactive_account,
on_leave_account,
unknown_account,
public_files
:

"retired_account"

level
enum<string>

Filter by alert level

利用可能なオプション:
warning,
caution
:

"warning"

muted
boolean

Filter by muted status (true = only muted, false = only unmuted, undefined = all)

:

false

limit
number
デフォルト:20

Number of items per page (1-100)

:

20

cursor
string

Cursor for pagination. Use the nextCursor value from a previous response to fetch the next page.

:

"eyJwYWdlIjoyLCJsaW1pdCI6MjB9"

レスポンス

Successfully retrieved alerts

meta
object
必須
items
object[]
必須
read-only
最終更新日 2026年7月10日